<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="10dp"
    android:background="@drawable/bg_edit_text_no_stroke"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/linear_layout_title"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@drawable/bg_my_subscription_title"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="10dp">

        <ImageView
            android:id="@+id/image_data_pack"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="10dp"
            android:src="@drawable/ic_internet_pack" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_data_pack_title"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="5"
            android:gravity="center_vertical"
            android:paddingStart="10dp"
            android:text="@string/data_pack_small"
            android:textColor="@android:color/black"
            android:textSize="@dimen/large_text_size" />

        <ImageView
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:src="@drawable/ic_confirm"
            app:tint="@color/colorPrimary" />

    </LinearLayout>

    <FrameLayout
        android:id="@+id/layout_progress_bar_post_paid"
        android:layout_width="105dp"
        android:layout_height="105dp"
        android:layout_below="@+id/linear_layout_title"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="@dimen/my_sub_padding"
        android:layout_marginBottom="@dimen/my_sub_padding"
        android:clipChildren="true">

        <com.seatel.mobilehall.util.circleprogress.ArcProgress
            android:id="@+id/view_progress_bar"
            android:layout_width="105dp"
            android:layout_height="105dp"
            app:arc_dataleft_text=""
            app:arc_dataleft_text_color="#4d4a4b"
            app:arc_dataleft_text_size="10sp"
            app:arc_finished_color="@color/colorPrimary"
            app:arc_prefix_text="$"
            app:arc_stroke_width="10dp"
            app:arc_suffix_text_color="@color/colorPrimary"
            app:arc_suffix_text_padding="2dp"
            app:arc_suffix_text_size="12sp"
            app:arc_text_color="@color/colorPrimary"
            app:arc_text_size="16sp"
            app:arc_unfinished_color="@color/colorUnfinishedBar" />
    </FrameLayout>

    <RelativeLayout
        android:id="@+id/layout_global"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/linear_layout_title"
        android:layout_marginStart="20dp"
        android:layout_marginTop="@dimen/my_sub_padding"
        android:layout_toEndOf="@+id/layout_progress_bar_post_paid"
        android:gravity="center">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_title_sub_bill"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:paddingLeft="1dp"
            android:text="Unbilled Amount"
            android:textColor="#231f20"
            android:textSize="18sp" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/linear_layout_one_plan_detail"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/layout_global"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="5dp"
        android:layout_marginEnd="@dimen/my_sub_padding"
        android:layout_marginBottom="15dp"
        android:layout_toEndOf="@id/layout_progress_bar_post_paid"
        android:gravity="center_vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="55dp"
            android:layout_marginStart="5dp"
            android:layout_marginEnd="5dp"
            android:layout_weight="1"
            android:background="@drawable/bg_edit_text_gray_stroke"
            android:gravity="center"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/bill_date"
                android:textColor="@android:color/black" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_sub_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:text="25 Aug, 2018"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_text_size" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="55dp"
            android:layout_weight="1"
            android:background="@drawable/bg_edit_text_gray_stroke"
            android:gravity="center"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/payment_date"
                android:textColor="@android:color/black" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_exp_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="-2dp"
                android:text="25 Aug, 2018"
                android:textColor="@color/colorPrimary"
                android:textSize="@dimen/small_text_size" />

        </LinearLayout>

        <RelativeLayout
            android:id="@+id/view_show_list_data_PostPaid"
            android:layout_width="wrap_content"
            android:layout_height="55dp"
            android:animateLayoutChanges="true">

            <ImageView
                android:id="@+id/img_arrow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:rotation="180"
                android:src="@drawable/ic_left_back"
                app:tint="@color/colorGray" />
        </RelativeLayout>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/view_keep_scroll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/linear_layout_one_plan_detail"
        android:orientation="vertical"
        android:visibility="gone">

        <HorizontalScrollView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/my_sub_padding"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="@dimen/my_sub_padding"
            android:layout_marginBottom="5dp"
            android:gravity="center"
            android:scrollbars="none">

            <LinearLayout
                android:id="@+id/view_balances_postpaid"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">

            </LinearLayout>

        </HorizontalScrollView>

        <LinearLayout
            android:id="@+id/view_key_text_footer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/my_sub_padding"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="@dimen/my_sub_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_fack"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/top_up_balance_title"
                    android:textColor="@android:color/black"
                    android:textStyle="bold"
                    android:visibility="invisible" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Monthly Plan"
                    android:textColor="@android:color/black"
                    android:textStyle="bold" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/point_3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_toEndOf="@+id/text_fack"
                    android:text=":"
                    android:textColor="@android:color/black" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_toEndOf="@+id/point_3"
                    android:text="Post-paid plan that you subscribe to."
                    android:textColor="@color/colorTextHeadOffice" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/my_sub_padding"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="@dimen/my_sub_padding"
                android:visibility="gone">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_fack_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/top_up_balance_title"
                    android:textColor="@android:color/black"
                    android:textStyle="bold"
                    android:visibility="invisible" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/credit_limit"
                    android:textColor="@android:color/black"
                    android:textStyle="bold" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/point_2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_toEndOf="@+id/text_fack_2"
                    android:text=":"
                    android:textColor="@android:color/black" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_toEndOf="@+id/point_2"
                    android:text="The maximum credit amount you can use in a month."
                    android:textColor="@color/colorTextHeadOffice" />
            </RelativeLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/my_sub_padding"
                android:layout_marginTop="10dp"
                android:layout_marginEnd="@dimen/my_sub_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/text_fack_3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/top_up_balance_title"
                    android:textColor="@android:color/black"
                    android:textStyle="bold"
                    android:visibility="invisible" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/top_up_balance_title"
                    android:textColor="@android:color/black"
                    android:textStyle="bold" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/point"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_toEndOf="@+id/text_fack_3"
                    android:text=":"
                    android:textColor="@android:color/black" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_toEndOf="@+id/point"
                    android:text="Amount from the top up you made after you used up the credit limit."
                    android:textColor="@color/colorTextHeadOffice" />
            </RelativeLayout>
        </LinearLayout>

    </LinearLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/button_buy"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_height"
        android:layout_below="@+id/view_keep_scroll"
        android:layout_marginStart="@dimen/my_sub_padding"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="@dimen/my_sub_padding"
        android:layout_marginBottom="@dimen/my_sub_padding"
        android:background="@drawable/bg_button_stroke"
        android:gravity="center"
        android:text="@string/top_up"
        android:textColor="@color/colorPrimary"
        android:textSize="@dimen/default_text_size" />

</RelativeLayout>